-- Scenario Script for Speedline to Glasgow

-- true/false defn
FALSE = 0
TRUE = 1

-- condition return values
CONDITION_NOT_YET_MET = 0
CONDITION_SUCCEEDED = 1
CONDITION_FAILED = 2

-- Message types
MT_INFO = 0   -- large centre screen pop up
MT_ALERT = 1  -- top right alert message

MSG_TOP = 1
MSG_VCENTRE = 2
MSG_BOTTOM = 4
MSG_LEFT = 8
MSG_CENTRE = 16
MSG_RIGHT = 32

MSG_SMALL = 0
MSG_REG = 1
MSG_LRG = 2

function DisplayRecordedMessage(messageName )
	SysCall("RegisterRecordedMessage", "StartDisplay" .. messageName, "StopDisplay" .. messageName, 1);
end
	
function StartDisplayIntroText()
	SysCall ( "ScenarioManager:ShowInfoMessageExt", "Speedlink To Glasgow", "intromessage.html", 0, MSG_TOP + MSG_LEFT, MSG_SMALL, FALSE );
end

function StopDisplayIntroText()
end

function StartDisplaysorrydriver()
	SysCall ( "ScenarioManager:ShowInfoMessageExt", "Signalman:", "sorrydriver.html", 20, MSG_TOP + MSG_LEFT, MSG_SMALL, FALSE );
end

function StopDisplaysorrydriver()
end

function OnEvent(event)
	if (event == "Introtext") then
		DisplayRecordedMessage("IntroText");
	end
	
	if (event == "cinematic") then
		SysCall ( "CameraManager:ActivateCamera", "cinematic", 0 );
	end
	
	if (event == "cabcamera") then
		SysCall ( "CameraManager:ActivateCamera", "CabCamera", 10);
	end
	
	if (event == "startspeedcheck") then
		SysCall ( "ScenarioManager:BeginConditionCheck", "AreWeMovingYet" )
	end
	
	if (event == "stopcamera") then
		SysCall ( "CameraManager:ActivateCamera", "stopcamera", 25);
	end
	
	if (event == "sorrydriver") then
		DisplayRecordedMessage("sorrydriver");
		SysCall ( "ScenarioManager:TriggerDeferredEvent", "End", 23);
	end
	
	if (event == "End") then
		SysCall ( "ScenarioManager:TriggerScenarioComplete", "We could be stopped for a while, we will finish this scenario here" );
	end
	
end

function TestCondition(condition)

	if (condition == "AreWeMovingYet") then
		speed = SysCall("PlayerEngine:GetSpeed")
		if speed < 0.1 then
			SysCall ( "ScenarioManager:TriggerDeferredEvent", "stopcamera", 2);
			SysCall ( "ScenarioManager:TriggerDeferredEvent", "sorrydriver", 5);
			return CONDITION_SUCCEEDED;
		end
		
		return CONDITION_NOT_YET_MET;
	end
	
end